open-vm-tools (2:13.0.0-2ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: local privilege escalation in Service Discovery Plugin
    - debian/patches/CVE-2025-41244.patch: disable by default the execution
      of the SDMP get-versions.sh script in
      open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c.
    - CVE-2025-41244

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Sep 2025 18:11:42 -0400

open-vm-tools (2:13.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 18 Aug 2025 10:49:22 +0200

open-vm-tools (2:13.0.0-1) experimental; urgency=medium

  * [6e2779c] Refreshing patches.
    Dropping patches applied upstream
  * [209b17e] Add libcrypt-dev to Build-Depends. (Closes: #1106954)
  * [2f26698] New upstream version 13.0.0

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Jun 2025 18:06:37 +0200

open-vm-tools (2:12.5.0-2) unstable; urgency=high

  * [910f279] Fixing an insecure file handling vulnerability.
    It allowed a malicious actor with non-administrative privileges
    on a guest VM to tamper the local files to trigger insecure file
    operations within that VM.
    VMSA-2025-0007
    CVE-2025-22247 (Closes: #1105159)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 12 May 2025 15:17:50 +0200

open-vm-tools (2:12.5.0-1) unstable; urgency=medium

  * Update to 12.5.0, full release notes can be found at
    https://github.com/vmware/open-vm-tools/blob/stable-12.5.0/ReleaseNotes.md
    - d/copyright: update to 12.5.0
    - d/copyright: add missing path element to fix superfluous-file-pattern
    - d/copyright: bsd files gone since 10.2.5
    - d/*.lintian-overrides: fix paths

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 Jan 2025 11:42:40 +0100

open-vm-tools (2:12.4.5-1) unstable; urgency=medium

  * [f971632] Remove vmxnet.hook.
    Not used/installed anymore since 2018. (Closes: #1074238)
  * [113ef20] Add dh-sequence-movetousr as Build-Dep (Closes: #1073673)
  * [86d484c] New upstream version 12.4.5 (Closes: #1074436)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 12 Jul 2024 22:31:45 +0200

open-vm-tools (2:12.4.0-1) unstable; urgency=medium

  * [0ed4989] New upstream version 12.4.0
    (Closes: #1067693)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 03 Apr 2024 22:49:48 +0200

open-vm-tools (2:12.3.5-5) unstable; urgency=medium

  * [13558f9] postinst: deb-systemd-invoke doesn't have a -q switch.
    Remove it :)
    Thanks to Daniel Leidert (Closes: #1041771)
  * [e7e3fe6] Add build-dep: libtirpc-dev, rpcsvc-proto.
    Thanks to Aurelien Jarno (Closes: #1065187)
  * [788fa5c] CI: enable build on arm64

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 01 Mar 2024 18:11:06 +0100

open-vm-tools (2:12.3.5-4) unstable; urgency=medium

  * [ba9d610] Remove chmod line for udev rule.
    Makefile.am uses mode 0644 now.
    Thanks to Chris Hofstaedtler (Closes: #1057246)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Dec 2023 15:55:33 +0100

open-vm-tools (2:12.3.5-3) unstable; urgency=medium

  * [7699f7a] Fix typo in last upload

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Nov 2023 16:29:44 +0100

open-vm-tools (2:12.3.5-2) unstable; urgency=medium

  * [80ed173] Disable arm cross-build
  * [61a0f4d] (Temporarily) build with diffoscope
  * [d929c44] Fix containerinfo plugin directory.
    Thanks to John Wolfe (Closes: #1056205)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Nov 2023 15:50:13 +0100

open-vm-tools (2:12.3.5-1) unstable; urgency=high

  * [1b07bee] Remove api doc build dir with dh_clean.
    Thanks to Lucas Nussbaum (Closes: #1046018)
  * [de2e0ba] New upstream version 12.3.5 (Closes: #1054662)
    - New upstream release fixes two CVEs:
      CVE-2023-34059 CVE-2023-34058
      Closes: #1054666

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Oct 2023 01:41:22 +0200

open-vm-tools (2:12.3.0-1) unstable; urgency=high

  * [4ed4be4] New upstream version 12.3.0
    (Closes: #1050972)
    CVE-2023-20900
    Adressing this CVE also Closes: #1050970
    There are no new features in the open-vm-tools 12.3.0 release. This is
    primarily a maintenance release, details can be found at
    https://github.com/vmware/open-vm-tools/blob/stable-12.3.0/ReleaseNotes.md
  * [779d338] drop d/p/debian/grpc_1.51: no more needed

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 06 Sep 2023 09:00:51 +0200

open-vm-tools (2:12.2.5-1) unstable; urgency=medium

  * [8c0c33f] New upstream version 12.2.5
    (Closes: #1037546)
    CVE-2023-20867
  * [232810e] d/p/*: add DEP-3 patch headers

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 11 Jul 2023 13:22:07 +0200

open-vm-tools (2:12.2.0-1) unstable; urgency=medium

  * [bebda7c] New upstream version 12.2.0
    (Closes: #1032607)
  * [d266aa7] Add libabsl-dev as explicit build-dependency.
    Not needed in Debian, but let's support the Deepin package maintainer.
    (Closes: #1032305)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 14 Mar 2023 19:12:00 +0100

open-vm-tools (2:12.1.5-3) unstable; urgency=medium

  * [1e4d8a9] Remove libprocps-dev build-dep. (Closes: #1027271)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 03 Jan 2023 12:19:05 +0100

open-vm-tools (2:12.1.5-2) unstable; urgency=medium

  * [f450cf8] Fix building with gRPC 1.51+
    Thanks to Laszlo Boszormenyi (GCS) (Closes: #1025491)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Dec 2022 16:52:48 +0100

open-vm-tools (2:12.1.5-1) unstable; urgency=medium

  * [d4a64a2] New upstream version 12.1.5
  * [adcd7a9] Remove accidentally added patch backup files

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 07 Dec 2022 17:30:35 +0100

open-vm-tools (2:12.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [2d8b9bb] Update lintian override info to new format on line 2.
    Changes-By: lintian-brush
    Fixes: lintian: mismatched-override
    See-also: https://lintian.debian.org/tags/mismatched-override.html

  [ Bernd Zeimetz ]
  * [fa63406] Move libguestStore.so, libgdp.so to open-vm-tools
    (Closes: #1021611) (LP: #1992501)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Nov 2022 16:19:10 +0100

open-vm-tools (2:12.1.0-1) unstable; urgency=high

  * [e704b2c] New upstream version 12.1.0
    Closes: #1018012 / CVE-2022-31676
  * [f9048c4] Remove patches applied upstream

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Aug 2022 09:49:58 +0200

open-vm-tools (2:12.0.5-2) unstable; urgency=medium

  * Release 12.0.5 to unstable
    - also (Closes: #1012814)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 13 Jul 2022 11:30:52 +0200

open-vm-tools (2:12.0.5-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * [827c3e4] New upstream version 12.0.5 (LP: #1971253) (Closes: #1011633)
  * [0d65b0785] d/copyright: fix whitespace damage
  * [e831bdcce] d/control,d/rules: salt-minion is not supported or even built on
    i386/arm64

  [ Bryce Harrington ]
  * [6a499a388] d/control: bump Standards-Version to 4.6.1 (no changes needed)
  * [e0b695cf9] d/copyright: Update debian copyright to 2022
  * [11f2f331d] d/control: Improve plugin description
  * [aa14fc72b] d/control, d/rules, d/*containerinfo*: add containerinfo plugin
  * [441d7a31c] d/control, d/rules, d/*salt-minion*: Add salt-minion plugin
  * [291c71b07] d/copyright: Add myself and Christian

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 11 Jul 2022 07:48:32 +0200

open-vm-tools (2:12.0.0-2) unstable; urgency=medium

  * [2eaee7c] Add dependencies for the containerinfo plugin.
  * [c21ef1d] Fix building containerinfo on i386
    %ld is not a 64bit integer on i386.
  * [5b23cd3] Use G_GINT64_FORMAT instead of lld

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 May 2022 19:06:08 +0200

open-vm-tools (2:12.0.0-1) unstable; urgency=medium

  [ Debian Janitor Bot ]
  * [b8a7e72] Bump debhelper from old 12 to 13. + Rename debian/open-vm-tools-desktop.tmpfile to debian/open-vm-tools-desktop.tmpfiles.
    Changes-By: lintian-brush
    Fixes: lintian: package-uses-old-debhelper-compat-version
    See-also: https://lintian.debian.org/tags/package-uses-old-debhelper-compat-version.html
  * [db353fc] Update renamed lintian tag names in lintian overrides.
    Changes-By: lintian-brush
    Fixes: lintian: renamed-tag
    See-also: https://lintian.debian.org/tags/renamed-tag.html
  * [e836429] Set upstream metadata fields: Archive.
    Changes-By: lintian-brush

  [ Bernd Zeimetz ]
  * [c68b4a7] New upstream version 12.0.0 (Closes: #1006845)
  * [5e498c2] Refresh patches
  * [d1a0fb3] udevadm: trigger only for scsi devices on install.
    Thanks to Benjamin Drung (Closes: #1009194)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 27 Apr 2022 11:54:11 +0200

open-vm-tools (2:11.3.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Christian Ehrhardt ]
  * New upstream version 11.3.5 (LP: #1946836) (Closes: #995221)
    - Closes gcc-11 FTBFS, actually since 11.3.0 (Closes: #984272)
  * d/rules, d/open-vm-tools.lintian-overrides: The hgfsmounter (mount.vmhgfs)
    command has been removed from open-vm-tools
  * d/p/Update-open-vm-tools-to-build-with-either-Fuse-3-or-2.patch: allow to
    build against fuse 3
  * d/rules, d/control: switch to use fuse3 (LP: #1935665)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Jan 2022 08:53:54 +0100

open-vm-tools (2:11.3.0-2) experimental; urgency=medium

  * d/copyright: further fix licenses after consulting SPDX
  * d/copyright: state multi-license under one glob pattern
  * d/control: enable arm64 which is ready in 11.3.0
  * d/control: drop no more needed net-tools dependency

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 18 Aug 2021 08:27:46 +0200

open-vm-tools (2:11.3.0-1) experimental; urgency=medium

  * New upstream version 11.3.0 (Closes: #990163)(LP: #1933143)
    - d/rules: install new binary vmwgfxctrl into open-vm-tools-desktop
    - d/rules: add new binary vmware-alias-import to open-vm-tools
    - d/rules: add new vmsvc plugins libguestStore.so and libgdp.so
      to open-vm-tools
  * d/open-vm-tools.maintscript: remove stale conffiles (Closes: #868273)
  * d/control: add myself to uploaders
  * Cleanups flagged by tracker.debian.org
    - d/watch: fix to work with upstreams github tags
    - d/control: bump Standards-Version to 4.5.1 (no changes needed)
  * Cleanups for various Lintian findings
    - d/source/lintian-overrides: allow helper scripts by setting
      patch-file-present-but-not-mentioned-in-series
    - d/{open-vm-tools,open-vm-tools-dev}.lintian-overrides tolerate
      package-name-doesnt-match-sonames
    - d/{open-vm-tools,open-vm-tools-desktop}.lintian-overrides: tolerate
      no-manual-page until upstream issue 526 is resolved
    - d/control: fix skip-systemd-native-flag-missing-pre-depends warning by
      adding misc:Pre-Depends
    - d/copyright: rename non allowed license names to fix
      space-in-std-shortname-in-dep5-copyright warning
    - d/open-vm-tools-desktop.lintian-overrides: fix setuid override
    - d/rules: drop no more needed handling of pam vmtoolsd-x64
    - d/rules: put libs and .pc files in correct multiarch directories
    - d/rules: do not ship vmware-vgauth-smoketest (only meant for build&test,
      per upstream it can wipe system config and therefore should not be
      shipped after build - upstream issue 527)
  * d/control: Remove constraints unnecessary since stretch (from Janitor)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 06 Jul 2021 12:32:16 +0200

open-vm-tools (2:11.2.5-2) unstable; urgency=medium

  * [7f14954] Drop max_nic_count patch.
    See https://github.com/vmware/open-vm-tools/issues/128 for details.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 25 Feb 2021 17:49:11 +0100

open-vm-tools (2:11.2.5-1) unstable; urgency=medium

  * [b54d022] New upstream version 11.2.5
    Thanks: John Wolfe
    Closes: #980190

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 Jan 2021 22:30:08 +0100

open-vm-tools (2:11.2.0-2) unstable; urgency=medium

  * [d5d4593] Fix building with new gcc versions
  * [94ce968] build-depend on libgdk-pixbuf-xlib-2.0-dev
    Closes: #978262
    Thanks to Lucas NUssbaum for the upload reminder.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Dec 2020 00:01:29 +0100

open-vm-tools (2:11.2.0-1) unstable; urgency=medium

  * [447d833] Update upstream source from tag 'upstream/11.2.0'
    Update to upstream version '11.2.0'
    with Debian dir 67243748d9ba09fc4e53f1ab4e921e119c981beb
    Closes: #972732
  * [704edba] remove pam-use-common-auth-account patch.
    Not needed anymore
  * [f792922] Use upstream pam file for Debian

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2020 19:33:02 +0100

open-vm-tools (2:11.1.5-1) unstable; urgency=medium

  * [5515c98] Don't recommend xserver-xorg-input-vmmouse.
    Thanks to Raphaël Hertzog (Closes: #966465)
  * [8a31efc] Update upstream source from tag 'upstream/11.1.5'
    Update to upstream version '11.1.5'
    with Debian dir 62c70f15b660e7719555a78e6658ced5ca05ca35
    Closes: #968688
  * [09714a7] Removing patches that were applied upstream

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 20 Aug 2020 09:52:24 +0200

open-vm-tools (2:11.1.0-3) unstable; urgency=medium

  * [03d18b3] Fix gcc-10 related issues. (Closes: #957631)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Jul 2020 22:38:58 +0200

open-vm-tools (2:11.1.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [4d69c6a] d/p/lp-1877678-: fixes for the sdmp plugin that is new in 11.1.0.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [38bd11e] d/control: change net-tools dependency to iproute2.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [c15c08d] Add net-tools as dependency again.
    Various scripts still use ifconfig.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 19 Jun 2020 14:05:44 +0200

open-vm-tools (2:11.1.0-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [6b7d31d] New upstream version 11.1.0
    (Closes: #960061) (LP: #1877672)
  * [3ece93a14] d/control, d/rules, d//*sdmp*: add service discovery plugin (sdmp)
    (Closes: #960065) (LP: #1877678)
    Thanks to Oliver Kurth for the initial contribution, changes in addition:
    - d/control: improve description
    - rules fix whitespace damage
    - maintscripts: fixed some whihtespace damage
    - maintscripts: fixed maintainer scripts per skeletons from dh_make
    - maintscripts: added the service-active-before-restart check to postinst
      as well (was only in rm)
    - maintscripts: use deb-systemd-invoke
    - d/control: add further dependencies used in sdmp
  * [e0c9fbc14] remove patches applied upstream in 11.1.0
    - d/p/4ee0bd3c8_Rectify-a-log-spew-in-vmsvc-logging-vmware-vmsvc-root.log
    - d/p/89c0d4445_GitHub-Issue-367.-Remove-references-to-deprecated-G_INLINE_FUNC
    - d/p/f1f0b812e_add-appinfo-plugin
  * [f4cf14931] d/rules: drop perm fixup of vm-support as it is properly
    in /usr/bin/ now
  * [d71e99e33] lintian: add overrides for intentional cases
  * [ba27a73eb] d/p/debian/vmxnet_fix_kernel_4.7.patch: drop unused patch
  * [7488e6e2f] d/copyright: fix tab in text

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 May 2020 09:46:40 +0200

open-vm-tools (2:11.0.5-5) unstable; urgency=medium

  * [8700b5e] Revert "Run vmtoolsd with Nice=-20"
    After discussing this issue with upstream we came to the conclusion that
    reverting this is the best option as it is possible to start programs
    trough vmtoolsd and they would also run with a nice level of -20.
    Upstream will fix this issue in a sane way.
  * [8a3a303] Add appinfo plugin.
    Thanks to Oliver Kurth (Closes: #954958)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 09 Apr 2020 11:42:15 +0200

open-vm-tools (2:11.0.5-4) unstable; urgency=medium

  * [c720d18] Run vmtoolsd with Nice=-20.
    Ensure that the watchdog is always able to answer.
    Thanks to Aron Xu (Closes: #953346)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 09 Mar 2020 17:10:31 +0100

open-vm-tools (2:11.0.5-3) unstable; urgency=medium

  * [9d3c1d7] Build-Depend on liblzma-dev.
    Thanks to Lucas Nussbaum (Closes: #951940)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 23 Feb 2020 16:57:41 +0100

open-vm-tools (2:11.0.5-2) unstable; urgency=medium

  * [eab2f1a] Add vmtoolsd.service alias.
    Debian's open-vm-tools.service is rather unsuaul and based on the
    history of the package, so ship an alias.
  * [b2977cd] Rectify a log spew in vmsvc logging.
    Upstream commit 4ee0bd3c8ead89541ab7d196fb54e940e397420d
    When a LSI Logic Parallel SCSI controller sits in PCI bus 0
    (SCSI controller 0), the Linux disk device enumeration does not provide
    a "label" file with the controller name.  This results in messages like
    "GuestInfoGetDiskDevice: Missing disk device name; VMDK mapping
    unavailable for "/var/log", fsName: "/dev/sda2" repeatedly appearing
    in the vmsvc logging.  The patch converts what previously was a warning
    message to a debug message and thus avoids the log spew.
    Thanks to Oliver Kurth (Closes: #950888)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 11 Feb 2020 15:56:51 +0100

open-vm-tools (2:11.0.5-1) unstable; urgency=medium

  * [e302fbf] Depend on lsb-release instead of recommending it.
  * [7731b26] Update upstream source from tag 'upstream/11.0.5'
    Update to upstream version '11.0.5'
    with Debian dir 7744f94a9026a7a3178032ef206d5d5798206fa5
    Closes: #949011
  * [68e74c1] snapshot changelog
  * [6ce977f] Refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 16 Jan 2020 14:05:36 +0100

open-vm-tools (2:11.0.1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [e30fabc] d/p/lp-1855686-Avoid-vmtoolsd-crash-in-HostInfo.patch:
    fix crash with uncommon lsb_output behavior (LP: #1855686)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Dec 2019 00:56:03 +0100

open-vm-tools (2:11.0.1-3) unstable; urgency=medium

  * [c30953f] gitlab-ci: disable reprotest
  * [ee6873b] Use upstream patch to fix (ignore) ZFS.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Oct 2019 21:16:31 +0100

open-vm-tools (2:11.0.1-2) unstable; urgency=medium

  * [76c600f] Fix segfault for fs devices without /
    See https://github.com/vmware/open-vm-tools/issues/378 for details.
    Thanks to Mo Zhou (Closes: #942692)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Oct 2019 15:48:48 +0200

open-vm-tools (2:11.0.1-1) unstable; urgency=medium

  * [bb36e10] Update upstream source from tag 'upstream/11.0.1'
    Update to upstream version '11.0.1'
    with Debian dir 60c0d512096774b9a2a7cc9e4e94556b2893ae8a

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Oct 2019 09:40:50 +0200

open-vm-tools (2:11.0.0-2) unstable; urgency=medium

  * [4cfe383] Update Vcs-Git/Browser to point to salsa.
  * [bc253ad] Remove .travis.yml, add debian/.gitlab-ci.yml
  * [c92ca3a] Add add_patch.sh script to add patches from upstream.
  * [1d9b491] Add patch to remove deprecated inline functions
  * [3e2e307] Rename lintian-override file properly

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Oct 2019 23:25:24 +0200

open-vm-tools (2:11.0.0-1) unstable; urgency=medium

  [ goldstar611 ]
  * [c138871] Ensure VGAuthService starts after AppArmor
    https://gitlab.com/apparmor/apparmor/issues/13

  [ Bernd Zeimetz ]
  * [28ef841] New upstream version 11.0.0~0
  * [f78ed2d] New upstream version 11.0.0
    Closes: #940853
  * [19efc80] Revert "Revert "Removing libdumbnet-dev.""
    This reverts commit 31177fab964d92687501ab81774440a9b8d09e39.
  * [bc14a8b] snapshot changelog
  * [1c5e9ea] Dropping patches that were picked from upstream

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 30 Sep 2019 14:37:27 +0200

open-vm-tools (2:10.3.10-3) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [19c646a] gcc9 compatibility.
    Upstream commit c68172ef7f2d4f116078e2aba82986a8cab0b16e (Closes: #925794)

  [ Christian Ehrhardt ]
  * [865763e] Fix other ftbfs with GCC-9
    * d/rules: disable address-of-packed-member gcc-9 warnings for pre 11.0 code
    (LP: #1842301)
    * d/rules: use modern syntax for disabling deprecated-declarations
    * d/p/gcc9-Remove-GLib-2.32-deprecated-APIs-from-tools.patch: stop using
      outdated GLib features
    Upstream commit a7c141fc
    * d/p/gcc9-drop-obsolete-G_INLINE_FUNC.patch: stop using deprecated GLib
      Macro
    * d/p/gcc9-GStaticRecMutex.patch: stop using deprecated GStaticRecMutex
    Upstream commit 19ca3e36
    * d/p/gcc9-build-error-in-vmblocktest.c.patch: avoid error due to
      stringop-truncation
    Upstream commit 553d1283

  [ Bernd Zeimetz ]
  * [0ce2ba2] Policy 4.0.1: The extra priority has been deprecated
  * [c8760c6] Bumping Standards-Version to 4.4.0
  * [a6ed8ce] Don't override dh_builddeb.
    debian-rules-should-not-use-custom-compression-settings
  * [bdfd8b5] Remove add_patch script
  * [be4d889] Update copyright years.
  * [9ac710e] Remove autotools-dev dependency.
  * [4296cf4] Fix permissions of udev rules file
  * [ed11c19] A new lintian override

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 03 Sep 2019 18:06:54 +0200

open-vm-tools (2:10.3.10-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [d79cc9d] d/control: fix postinst missing lsmod/modprobe.
    Upgrades on open-vm-desktop can trigger errors like the following:
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: 5:
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: lsmod: not found
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: 6:
    /var/lib/dpkg/info/open-vm-tools-desktop.postinst: modprobe: not found
    The reason is that kmod isn't a dependency of open-vm-tools-desktop and
    could be missing e.g. if you installed it in a system container.
    Once might discuss how useful open-vm-tools-desktop is in that
    environment but a n issue to fix none the less.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [4d3f25f] Fix guest OS reporting for Debian/Buster.
    Without this fix, open-vm-tools report other4xLinux64Guest instead of
    Debian/Buster.
    Reason is the output of lsb_release, which outputs:
    $ lsb_release -sd
    Debian GNU/Linux 10 (buster)
    But the code in open-vm-tools expects '10.'.
    Thanks to Oliver Kurth (Closes: #934005)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 07 Aug 2019 10:28:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog open-vm-tools`.
